function setGungnirOpenTexture(entity, texture, hasLights) {
    var tex = entity.getInterpolatedData("gowhp:dyn/gungnirblade_timer") > 0.5 ? "open" : "base";
    if (hasLights) {
        texture.set(tex, tex + "_lights");
    }
    else {
        texture.set(tex);
    }
}

